<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>eRPC Generator (erpcgen): erpcgen::InterfaceDefinition Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="customdoxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eRPC Generator (erpcgen)
   &#160;<span id="projectnumber">Rev. 1.4.0</span>
   </div>
   <div id="projectbrief">NXP Semiconductors</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classerpcgen_1_1_interface_definition.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classerpcgen_1_1_interface_definition-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">erpcgen::InterfaceDefinition Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Collects all definitions from an IDL.  
 <a href="classerpcgen_1_1_interface_definition.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_interface_definition_8h_source.html">InterfaceDefinition.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a0d78d69d72326b555ccc7ba944eb1a73"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0d78d69d72326b555ccc7ba944eb1a73"></a>enum &#160;</td><td class="memItemRight" valign="bottom"><b>_error_handling_checks</b> { <br />
&#160;&#160;<b>kAll</b>, 
<br />
&#160;&#160;<b>kInfraErrors</b>, 
<br />
&#160;&#160;<b>kAllocErrors</b>, 
<br />
&#160;&#160;<b>kNone</b>
<br />
 }</td></tr>
<tr class="separator:a0d78d69d72326b555ccc7ba944eb1a73"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a3f7c1016bef2b3dd45d08f4316580106"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3f7c1016bef2b3dd45d08f4316580106"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_interface_definition.html#a3f7c1016bef2b3dd45d08f4316580106">InterfaceDefinition</a> ()</td></tr>
<tr class="memdesc:a3f7c1016bef2b3dd45d08f4316580106"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default constructor. <br /></td></tr>
<tr class="separator:a3f7c1016bef2b3dd45d08f4316580106"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abc1e95f7ba6ec4862e83b518eb5f36ff"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abc1e95f7ba6ec4862e83b518eb5f36ff"></a>
virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_interface_definition.html#abc1e95f7ba6ec4862e83b518eb5f36ff">~InterfaceDefinition</a> ()</td></tr>
<tr class="memdesc:abc1e95f7ba6ec4862e83b518eb5f36ff"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor. <br /></td></tr>
<tr class="separator:abc1e95f7ba6ec4862e83b518eb5f36ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8606a673f88a995913d7e80ded615898"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_interface_definition.html#a8606a673f88a995913d7e80ded615898">init</a> ()</td></tr>
<tr class="memdesc:a8606a673f88a995913d7e80ded615898"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function initialize symbol scope variable m_globals.  <a href="#a8606a673f88a995913d7e80ded615898">More...</a><br /></td></tr>
<tr class="separator:a8606a673f88a995913d7e80ded615898"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ada87017de8bdd523d35c6f6c4c91ac00"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_interface_definition.html#ada87017de8bdd523d35c6f6c4c91ac00">parse</a> (const char *inputFile)</td></tr>
<tr class="memdesc:ada87017de8bdd523d35c6f6c4c91ac00"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function parse given IDL file.  <a href="#ada87017de8bdd523d35c6f6c4c91ac00">More...</a><br /></td></tr>
<tr class="separator:ada87017de8bdd523d35c6f6c4c91ac00"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9bc3ebd4a3083d22f7df6b281f8f8943"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classerpcgen_1_1_ast_node.html">AstNode</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_interface_definition.html#a9bc3ebd4a3083d22f7df6b281f8f8943">getAst</a> ()</td></tr>
<tr class="memdesc:a9bc3ebd4a3083d22f7df6b281f8f8943"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function returns node belong to this object.  <a href="#a9bc3ebd4a3083d22f7df6b281f8f8943">More...</a><br /></td></tr>
<tr class="separator:a9bc3ebd4a3083d22f7df6b281f8f8943"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a75ea44989d648f061e056a0860c6b006"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classerpcgen_1_1_symbol_scope.html">SymbolScope</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_interface_definition.html#a75ea44989d648f061e056a0860c6b006">getGlobals</a> ()</td></tr>
<tr class="memdesc:a75ea44989d648f061e056a0860c6b006"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function returns global symbol scope.  <a href="#a75ea44989d648f061e056a0860c6b006">More...</a><br /></td></tr>
<tr class="separator:a75ea44989d648f061e056a0860c6b006"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0458349b3230e4ea11b672629fd6ec5c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_interface_definition.html#a0458349b3230e4ea11b672629fd6ec5c">setProgramInfo</a> (const std::string &amp;fileName, const std::string &amp;outputFilePath)</td></tr>
<tr class="memdesc:a0458349b3230e4ea11b672629fd6ec5c"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function sets program information.  <a href="#a0458349b3230e4ea11b672629fd6ec5c">More...</a><br /></td></tr>
<tr class="separator:a0458349b3230e4ea11b672629fd6ec5c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af57c74feee09035914cea20cf7e8596d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_interface_definition.html#af57c74feee09035914cea20cf7e8596d">setProgramName</a> (const std::string &amp;programName)</td></tr>
<tr class="memdesc:af57c74feee09035914cea20cf7e8596d"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function sets program name.  <a href="#af57c74feee09035914cea20cf7e8596d">More...</a><br /></td></tr>
<tr class="separator:af57c74feee09035914cea20cf7e8596d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3db153cb26de7b9e86d6b5d4dc3fb822"><td class="memItemLeft" align="right" valign="top">const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_interface_definition.html#a3db153cb26de7b9e86d6b5d4dc3fb822">getProgramName</a> ()</td></tr>
<tr class="memdesc:a3db153cb26de7b9e86d6b5d4dc3fb822"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function returns program name.  <a href="#a3db153cb26de7b9e86d6b5d4dc3fb822">More...</a><br /></td></tr>
<tr class="separator:a3db153cb26de7b9e86d6b5d4dc3fb822"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a88555ec3da97a4c7e917592edba7181f"><td class="memItemLeft" align="right" valign="top">boost::filesystem::path&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_interface_definition.html#a88555ec3da97a4c7e917592edba7181f">getOutputDirectory</a> ()</td></tr>
<tr class="memdesc:a88555ec3da97a4c7e917592edba7181f"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function returns output directory path.  <a href="#a88555ec3da97a4c7e917592edba7181f">More...</a><br /></td></tr>
<tr class="separator:a88555ec3da97a4c7e917592edba7181f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:accf4b920cee5f58be75e2fbef4de7943"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_interface_definition.html#accf4b920cee5f58be75e2fbef4de7943">getOutputFilename</a> ()</td></tr>
<tr class="memdesc:accf4b920cee5f58be75e2fbef4de7943"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function returns output file name.  <a href="#accf4b920cee5f58be75e2fbef4de7943">More...</a><br /></td></tr>
<tr class="separator:accf4b920cee5f58be75e2fbef4de7943"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa7a402b7814db8a1d936baa71d1915de"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_interface_definition.html#aa7a402b7814db8a1d936baa71d1915de">setOutputFilename</a> (const std::string &amp;filename)</td></tr>
<tr class="memdesc:aa7a402b7814db8a1d936baa71d1915de"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function sets output file name.  <a href="#aa7a402b7814db8a1d936baa71d1915de">More...</a><br /></td></tr>
<tr class="separator:aa7a402b7814db8a1d936baa71d1915de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3e7dea614fce5f4be4d7b4a351c385b6"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_interface_definition.html#a3e7dea614fce5f4be4d7b4a351c385b6">hasProgramSymbol</a> ()</td></tr>
<tr class="memdesc:a3e7dea614fce5f4be4d7b4a351c385b6"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function returns information if program symbol was set in parsed file.  <a href="#a3e7dea614fce5f4be4d7b4a351c385b6">More...</a><br /></td></tr>
<tr class="separator:a3e7dea614fce5f4be4d7b4a351c385b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a63af08657d1400148796e304fd84a3c0"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classerpcgen_1_1_program.html">Program</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_interface_definition.html#a63af08657d1400148796e304fd84a3c0">programSymbol</a> ()</td></tr>
<tr class="memdesc:a63af08657d1400148796e304fd84a3c0"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function returns program symbol.  <a href="#a63af08657d1400148796e304fd84a3c0">More...</a><br /></td></tr>
<tr class="separator:a63af08657d1400148796e304fd84a3c0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae93b43715fe4b0184fbb2c069060699a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae93b43715fe4b0184fbb2c069060699a"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_interface_definition.html#ae93b43715fe4b0184fbb2c069060699a">setErrorHandlingChecksType</a> ()</td></tr>
<tr class="memdesc:ae93b43715fe4b0184fbb2c069060699a"><td class="mdescLeft">&#160;</td><td class="mdescRight">This functions sets type of checks which should be present in generated file. <br /></td></tr>
<tr class="separator:ae93b43715fe4b0184fbb2c069060699a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abea5734bd3b08db5fe988ec1e1653a1d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abea5734bd3b08db5fe988ec1e1653a1d"></a>
_error_handling_checks&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classerpcgen_1_1_interface_definition.html#abea5734bd3b08db5fe988ec1e1653a1d">getErrorHandlingChecksType</a> ()</td></tr>
<tr class="memdesc:abea5734bd3b08db5fe988ec1e1653a1d"><td class="mdescLeft">&#160;</td><td class="mdescRight">This functions returns type of checks which should be present in generated file. <br /></td></tr>
<tr class="separator:abea5734bd3b08db5fe988ec1e1653a1d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Collects all definitions from an IDL. </p>
<p>Also directs the IDL parsing and code generation process. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a9bc3ebd4a3083d22f7df6b281f8f8943"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classerpcgen_1_1_ast_node.html">AstNode</a>* erpcgen::InterfaceDefinition::getAst </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This function returns node belong to this object. </p>
<p>return <a class="el" href="classerpcgen_1_1_ast_node.html" title="Homogeneous AST node class. ">AstNode</a> * Node belong to this object. </p>

</div>
</div>
<a class="anchor" id="a75ea44989d648f061e056a0860c6b006"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classerpcgen_1_1_symbol_scope.html">SymbolScope</a>&amp; erpcgen::InterfaceDefinition::getGlobals </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This function returns global symbol scope. </p>
<p>return <a class="el" href="classerpcgen_1_1_symbol_scope.html" title="A scoped namespace containing symbols. ">SymbolScope</a> &amp; Global symbol scope. </p>

</div>
</div>
<a class="anchor" id="a88555ec3da97a4c7e917592edba7181f"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">boost::filesystem::path erpcgen::InterfaceDefinition::getOutputDirectory </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This function returns output directory path. </p>
<dl class="section return"><dt>Returns</dt><dd>Return output directory path. </dd></dl>

</div>
</div>
<a class="anchor" id="accf4b920cee5f58be75e2fbef4de7943"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string erpcgen::InterfaceDefinition::getOutputFilename </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This function returns output file name. </p>
<dl class="section return"><dt>Returns</dt><dd>Return name of output file. </dd></dl>

</div>
</div>
<a class="anchor" id="a3db153cb26de7b9e86d6b5d4dc3fb822"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string erpcgen::InterfaceDefinition::getProgramName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This function returns program name. </p>
<dl class="section return"><dt>Returns</dt><dd>Return name of program. </dd></dl>

</div>
</div>
<a class="anchor" id="a3e7dea614fce5f4be4d7b4a351c385b6"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool InterfaceDefinition::hasProgramSymbol </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function returns information if program symbol was set in parsed file. </p>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">true</td><td>When program was set in parsed file. </td></tr>
    <tr><td class="paramname">true</td><td>When program wasn't set in parsed file. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a8606a673f88a995913d7e80ded615898"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void InterfaceDefinition::init </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function initialize symbol scope variable m_globals. </p>
<dl class="section see"><dt>See also</dt><dd>void InterfaceDefinition::createBuiltinTypes() </dd></dl>

</div>
</div>
<a class="anchor" id="ada87017de8bdd523d35c6f6c4c91ac00"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void InterfaceDefinition::parse </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>inputFile</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function parse given IDL file. </p>
<p>File content is split into <a class="el" href="classerpcgen_1_1_ast_node.html" title="Homogeneous AST node class. ">AstNode</a> three. Then dump <a class="el" href="classerpcgen_1_1_ast_node.html" title="Homogeneous AST node class. ">AstNode</a> three. Then is called symbol scanner to walk <a class="el" href="classerpcgen_1_1_ast_node.html" title="Homogeneous AST node class. ">AstNode</a> three.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">inputFile</td><td>File, which is parsed.</td></tr>
  </table>
  </dd>
</dl>
<dl class="exception"><dt>Exceptions</dt><dd>
  <table class="exception">
    <tr><td class="paramname">std::runtime_error</td><td>Thrown if is bad return result for parse function or no ast node three is created. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a63af08657d1400148796e304fd84a3c0"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classerpcgen_1_1_program.html">Program</a> * InterfaceDefinition::programSymbol </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function returns program symbol. </p>
<dl class="section return"><dt>Returns</dt><dd>Pointer to program symbol. </dd></dl>

</div>
</div>
<a class="anchor" id="aa7a402b7814db8a1d936baa71d1915de"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void InterfaceDefinition::setOutputFilename </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>filename</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function sets output file name. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">filename</td><td>Output file name. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a0458349b3230e4ea11b672629fd6ec5c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void InterfaceDefinition::setProgramInfo </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>fileName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>outputFilePath</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function sets program information. </p>
<p>This function sets out file name, output path and flag for generating each interface into its set of output files if requested.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">fileName</td><td>Necessary for output files names. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">outputFilePath</td><td>Path to directory, where files will be generated. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="af57c74feee09035914cea20cf7e8596d"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void erpcgen::InterfaceDefinition::setProgramName </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>programName</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This function sets program name. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">programName</td><td>Name of program. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="_interface_definition_8h_source.html">InterfaceDefinition.h</a></li>
<li>InterfaceDefinition.cpp</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- HTML footer for doxygen 1.8.5-->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul class="foot">
    <li class="footer">&copy; 2016 NXP Semiconductors. All rights reserved.
    </li>
  </ul>
</div>
</body>
</html>
